#include "const.h"
#include "bitmapnotification.h"

//Constructor
BitmapNotification::BitmapNotification()
{
	init(0, 0, 0, 0, 0, 0, false, 0, NULL, NULL);
}

//Inicializador
void BitmapNotification::init(float x, float y, int w, int h, float velx, float vely, bool enabled, Uint16 enabledtimer, LTexture *texture, SDL_Renderer *renderer)
{
	setTexture(*texture);
	setRenderer(*renderer);
	setWidth(w);
	setPosX(x);
	setHeight(h);
	setPosY(y);
	setVelX(velx);
	setVelY(vely);
	setSpriteClip(0, 0, getWidth(), getHeight());
	mEnabled = enabled;
	mEnabledTimer = enabledtimer;
}

//Obtiene el valor de la variable
bool BitmapNotification::isEnabled()
{
	return mEnabled;
}

//Establece el valor de la variable
void BitmapNotification::setEnabled(bool state)
{
	mEnabled = state;
}

//Obtiene el valor de la variable
Uint16 BitmapNotification::getEnabledTimer()
{
	return mEnabledTimer;
}

//Establece el valor de la variable
void BitmapNotification::setEnabledTimer(Uint16 time)
{
	mEnabledTimer = time;
}